Qt 5.6 | Qt Core | C++ Classes | QRect

Qt 5.6.2 Reference Documentation

# Obsolete Members for QRect

The following members of class QRect are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QRect | intersect(const QRect &rectangle) const
`(obsolete)` QRect | unite(const QRect &rectangle) const

## Member Function Documentation

### QRect QRect::intersect(const QRect &rectangle) const

Use intersected(rectangle) instead.

### QRect QRect::unite(const QRect &rectangle) const

Use united(rectangle) instead.